lzma_lz_encoder Struct Reference

## Data Fields

void * | coder
| Data specific to the LZ-based encoder. More...
lzma_ret(* | code )(void *coder, lzma_mf *restrict mf, uint8_t *restrict out, size_t *restrict out_pos, size_t out_size)
| Function to encode from *dict to out[]. More...
void(* | end )(void *coder, const lzma_allocator *allocator)
| Free allocated resources. More...
lzma_ret(* | options_update )(void *coder, const lzma_filter *filter)
| Update the options in the middle of the encoding. More...

## Field Documentation

## coder

void* lzma_lz_encoder::coder

Data specific to the LZ-based encoder.

## code

lzma_ret(* lzma_lz_encoder::code) (void *coder, lzma_mf *restrict mf, uint8_t *restrict out, size_t *restrict out_pos, size_t out_size)

Function to encode from *dict to out[].

## end

void(* lzma_lz_encoder::end) (void *coder, const lzma_allocator *allocator)

Free allocated resources.

## options_update

lzma_ret(* lzma_lz_encoder::options_update) (void *coder, const lzma_filter *filter)

Update the options in the middle of the encoding.

The documentation for this struct was generated from the following file:

- liblzma/lz/lz_encoder.h